"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Filters = function Filters(props) {
  var classes = props.classes,
      handleFilterChange = props.handleFilterChange,
      item = props.item,
      filterGroupData = props.filterGroupData,
      handleGroupsChangedAll = props.handleGroupsChangedAll,
      handleGroupsChanged = props.handleGroupsChanged,
      index = props.index,
      groupsState = props.groupsState,
      handleFilterIsOpenState = props.handleFilterIsOpenState,
      isLast = props.isLast,
      tableTexts = props.tableTexts;
  return _react["default"].createElement("div", null, _react["default"].createElement(_core.ClickAwayListener, {
    onClickAway: function onClickAway() {
      return handleFilterIsOpenState(item.value);
    }
  }, _react["default"].createElement("div", {
    className: isLast ? classes.filter_container : classes.filter_container_last
  }, _react["default"].createElement(_core.TextField, {
    className: classes.header_input,
    onChange: function onChange(event) {
      return handleFilterChange(item.value, event.target.value);
    },
    variant: "standard",
    placeholder: tableTexts.singleSearchPlaceholder
  }), _react["default"].createElement("div", {
    className: classes.checkbox_container
  }, groupsState[item.value] && filterGroupData(Object.keys(groupsState[item.value]), item.value).map(function (key, indexBox) {
    return _react["default"].createElement("div", {
      key: "checkBox-".concat(index, "-").concat(indexBox),
      className: classes.checkbox_item
    }, _react["default"].createElement(_core.Checkbox, {
      className: classes.checkbox_box,
      value: key,
      onChange: function onChange() {
        return handleGroupsChanged(item.value, key);
      },
      checked: groupsState[item.value][key]
    }), key !== 'null' && key !== 'undefined' ? _react["default"].createElement("span", {
      className: classes.checkbox_text
    }, typeof item.calc === 'function' ? item.calc(key) : key) : _react["default"].createElement("span", {
      className: classes.checkbox_text
    }, key));
  })), _react["default"].createElement("div", {
    className: classes.buttons_container
  }, _react["default"].createElement(_core.Button, {
    className: classes.filterBtn,
    onClick: function onClick() {
      return handleGroupsChangedAll(item.value, true);
    }
  }, tableTexts.singleSearchSelectAllBtn), _react["default"].createElement(_core.Button, {
    className: classes.filterBtn,
    onClick: function onClick() {
      return handleGroupsChangedAll(item.value, false);
    }
  }, tableTexts.singleSearchRemoveAllBtn), _react["default"].createElement(_core.Button, {
    className: classes.filterBtn,
    onClick: function onClick() {
      return handleFilterIsOpenState(item.value);
    }
  }, tableTexts.singleSearchCloseBtn)))));
};

var _default = Filters;
exports["default"] = _default;
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactPaginate = _interopRequireDefault(require("react-paginate"));

var _icons = require("@material-ui/icons");

var _core = require("@material-ui/core");

var _styles = require("./styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var PaginationBar = function PaginationBar(_ref) {
  var classes = _ref.classes,
      pages = _ref.pages,
      currentPage = _ref.currentPage,
      _onPageChange = _ref.onPageChange,
      language = _ref.language;
  return _react["default"].createElement(_reactPaginate["default"], {
    forcePage: currentPage,
    pageCount: pages,
    pageRangeDisplayed: 4,
    marginPagesDisplayed: 1,
    containerClassName: classes.pagination,
    pageClassName: classes.pagination_item,
    activeClassName: classes.pagination_item_active,
    previousLabel: currentPage !== 0 ? language === 'he' ? _react["default"].createElement(_icons.ChevronRight, null) : _react["default"].createElement(_icons.ChevronLeft, null) : null,
    previousClassName: classes.pagination + classes.pagination_item_previous,
    nextLabel: currentPage !== pages - 1 ? language === 'he' ? _react["default"].createElement(_icons.ChevronLeft, null) : _react["default"].createElement(_icons.ChevronRight, null) : null,
    nextClassName: classes.pagination_item + classes.pagination_item_next,
    disabledClassName: classes.pagination_item + classes.pagination_item_disabled,
    breakClassName: classes.pagination_item_break,
    pageLinkClassName: classes.pagination_link,
    previousLinkClassName: classes.pagination_link,
    nextLinkClassName: classes.pagination_link,
    onPageChange: function onPageChange(page) {
      return _onPageChange(page);
    }
  });
};

var _default = (0, _core.withStyles)(_styles.styles)(PaginationBar);

exports["default"] = _default;
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = void 0;
var styles = {
  pagination: {
    display: 'flex',
    alignItems: 'center',
    fontSize: '16px'
  },
  pagination_item: {
    position: 'relative',
    marginRight: '5px',
    marginLeft: '5px',
    border: '2px solid transparent',
    cursor: 'pointer',
    minWidth: '24px',
    height: '24px',
    color: 'black'
  },
  pagination_item_active: {
    borderRadius: '50%',
    borderColor: 'black'
  },
  pagination_item_previous: {
    marginLeft: '5px'
  },
  pagination_item_next: {
    marginRight: '5px'
  },
  pagination_item_disabled: {
    cursor: 'default'
  },
  pagination_link: {
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    height: '100%'
  },
  pagination_break: {}
};
exports.styles = styles;
