import React from 'react';
import { Button, TextField, Checkbox, ClickAwayListener } from '@material-ui/core';

const Filters = props => {
    const {
        classes,
        handleFilterChange,
        item,
        filterGroupData,
        handleGroupsChangedAll,
        handleGroupsChanged,
        index,
        groupsState,
        handleFilterIsOpenState,
        isLast,
        tableTexts,
    } = props;
    return (
        <div>
            <ClickAwayListener onClickAway={() => handleFilterIsOpenState(item.value)}>
                <div className={isLast ? classes.filter_container : classes.filter_container_last}>
                    <TextField
                        className={classes.header_input}
                        onChange={event => handleFilterChange(item.value, event.target.value)}
                        variant="standard"
                        placeholder={tableTexts.singleSearchPlaceholder}
                    />
                    <div className={classes.checkbox_container}>
                        {groupsState[item.value] &&
                            filterGroupData(Object.keys(groupsState[item.value]), item.value).map((key, indexBox) => (
                                <div key={`checkBox-${index}-${indexBox}`} className={classes.checkbox_item}>
                                    <Checkbox
                                        className={classes.checkbox_box}
                                        value={key}
                                        onChange={() => handleGroupsChanged(item.value, key)}
                                        checked={groupsState[item.value][key]}
                                    />
                                    {key !== 'null' && key !== 'undefined' ? (
                                        <span className={classes.checkbox_text}>{typeof item.calc === 'function' ? item.calc(key) : key}</span>
                                    ) : (
                                        <span className={classes.checkbox_text}>{key}</span>
                                    )}
                                </div>
                            ))}
                    </div>
                    <div className={classes.buttons_container}>
                        <Button className={classes.filterBtn} onClick={() => handleGroupsChangedAll(item.value, true)}>
                            {tableTexts.singleSearchSelectAllBtn}
                        </Button>
                        <Button className={classes.filterBtn} onClick={() => handleGroupsChangedAll(item.value, false)}>
                            {tableTexts.singleSearchRemoveAllBtn}
                        </Button>
                        <Button className={classes.filterBtn} onClick={() => handleFilterIsOpenState(item.value)}>
                            {tableTexts.singleSearchCloseBtn}
                        </Button>
                    </div>
                </div>
            </ClickAwayListener>
        </div>
    );
};

export default Filters;
