import React from 'react';
import Paginate from 'react-paginate';

import { ChevronLeft, ChevronRight } from '@material-ui/icons';
import { withStyles } from '@material-ui/core';
import { styles } from './styles';

const PaginationBar = ({ classes, pages, currentPage, onPageChange, language }) => {
    return (
        <Paginate
            forcePage={currentPage}
            pageCount={pages}
            pageRangeDisplayed={4}
            marginPagesDisplayed={1}
            containerClassName={classes.pagination}
            pageClassName={classes.pagination_item}
            activeClassName={classes.pagination_item_active}
            previousLabel={currentPage !== 0 ? language === 'he' ? <ChevronRight /> : <ChevronLeft /> : null}
            previousClassName={classes.pagination + classes.pagination_item_previous}
            nextLabel={currentPage !== pages - 1 ? language === 'he' ? <ChevronLeft /> : <ChevronRight /> : null}
            nextClassName={classes.pagination_item + classes.pagination_item_next}
            disabledClassName={classes.pagination_item + classes.pagination_item_disabled}
            breakClassName={classes.pagination_item_break}
            pageLinkClassName={classes.pagination_link}
            previousLinkClassName={classes.pagination_link}
            nextLinkClassName={classes.pagination_link}
            onPageChange={page => onPageChange(page)}
        />
    );
};

export default withStyles(styles)(PaginationBar);
