import { createStyles, Theme } from '@material-ui/core';

export default ({ palette, spacing }: Theme) =>
    createStyles({
        content_container: {
            // overflowX: 'hidden',
            padding: '20px',
        },
        table_container: {
            overflow: 'auto',
            minHeight: '500px',
        },
        table_footer: {
            display: 'flex',
            justifyContent: 'center',
        },
        header_item: {
            position: 'relative',
            padding: '15px 3px',
            display: 'flex',
            flexDirection: 'column',
            justifyContent: 'center',
            textAlign: 'center',
        },
        header_row: {
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'center',
            textAlign: 'center',
        },
        header_input: {
            width: '90%',
            margin: 'auto',
            marginTop: '15px',
        },
        header_text: {
            textAlign: 'center',
        },
        text_container: {
            display: 'flex',
        },
        filter_icon: {
            display: 'inline',
            justifyContent: 'center',
            alignItems: 'center',
            marginRight: '5px',
            color: 'black',
        },
        filterBtn: {
            fontSize: '12px',
        },
        filter_container: {
            position: 'absolute',
            top: '80px',
            height: '250px',
            boxShadow: '0 0 4px 0px grey',
            borderRadius: '10px',
            backgroundColor: 'white',
            right: '0',
            width: '225px',
            display: 'flex',
            flexDirection: 'column',
            justifyContent: 'space-between',
        },
        filter_container_last: {
            position: 'absolute',
            top: '80px',
            height: '250px',
            boxShadow: '0 0 4px 0px grey',
            borderRadius: '10px',
            backgroundColor: 'white',
            left: '0',
            width: '225px',
            display: 'flex',
            flexDirection: 'column',
            justifyContent: 'space-between',
        },
        checkbox_container: {
            padding: '10px',
            height: '100%',
            overflow: 'auto',
        },
        checkbox_item: {
            fontSize: '14px',
            textAlign: 'left',
            display: 'flex',
        },
        checkbox_text: {
            whiteSpace: 'nowrap',
            width: '100%',
            lineHeight: '30px',
        },
        checkbox_box: {
            marginRight: '5px',
        },
        buttons_container: {
            borderTop: `1px solid #91959a`,
            margin: `0 10px`,
            display: 'flex',
            justifyContent: 'space-around',
        },
        body_text: {
            color: '#63696e',
            textAlign: 'center',
            alignItems: 'center',
        },
        top_section: {
            display: 'flex',
            justifyContent: 'space-between',
        },
        buttonPlaceholder: {
            minWidth: '45px',
        },
    });
